gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Gdl Namespace Reference

## Classes
class | DockObject
class | DockItem
class | DockPlaceholder
class | DockMaster
class | DockLayout
class | Dock
class | DockBar
class | DockItemGrip

## Enumerations
enum | DockParamFlags { DOCK_PARAM_EXPORT = 1 << G_PARAM_USER_SHIFT, DOCK_PARAM_AFTER = 1 << (G_PARAM_USER_SHIFT + 1) }
enum | DockPlacement { DOCK_NONE, DOCK_TOP, DOCK_BOTTOM, DOCK_RIGHT, DOCK_LEFT, DOCK_CENTER, DOCK_FLOATING }
enum | DockItemBehavior { DOCK_ITEM_BEH_NORMAL = 0, DOCK_ITEM_BEH_NEVER_FLOATING = 1 << 0, DOCK_ITEM_BEH_NEVER_VERTICAL = 1 << 1, DOCK_ITEM_BEH_NEVER_HORIZONTAL = 1 << 2, DOCK_ITEM_BEH_LOCKED = 1 << 3, DOCK_ITEM_BEH_CANT_DOCK_TOP = 1 << 4, DOCK_ITEM_BEH_CANT_DOCK_BOTTOM = 1 << 5, DOCK_ITEM_BEH_CANT_DOCK_LEFT = 1 << 6, DOCK_ITEM_BEH_CANT_DOCK_RIGHT = 1 << 7, DOCK_ITEM_BEH_CANT_DOCK_CENTER = 1 << 8, DOCK_ITEM_BEH_CANT_CLOSE = 1 << 9, DOCK_ITEM_BEH_CANT_ICONIFY = 1 << 10, DOCK_ITEM_BEH_NO_GRIP = 1 << 11 }
enum | DockItemFlags { DOCK_IN_DRAG = 1 << 8, DOCK_IN_PREDRAG = 1 << 9, DOCK_ICONIFIED = 1 << 10, DOCK_USER_ACTION = 1 << 11 }
enum | SwitcherStyle { SWITCHER_STYLE_TEXT, SWITCHER_STYLE_ICON, SWITCHER_STYLE_BOTH, SWITCHER_STYLE_TOOLBAR, SWITCHER_STYLE_TABS, SWITCHER_STYLE_NONE }
enum | DockBarStyle { DOCK_BAR_ICONS, DOCK_BAR_TEXT, DOCK_BAR_BOTH, DOCK_BAR_AUTO }

## Functions
DockItemBehavior | operator| (DockItemBehavior lhs, DockItemBehavior rhs)
DockItemBehavior | operator& (DockItemBehavior lhs, DockItemBehavior rhs)
DockItemBehavior | operator^ (DockItemBehavior lhs, DockItemBehavior rhs)
DockItemBehavior | operator~ (DockItemBehavior flags)
DockItemBehavior& | operator|= (DockItemBehavior& lhs, DockItemBehavior rhs)
DockItemBehavior& | operator&= (DockItemBehavior& lhs, DockItemBehavior rhs)
DockItemBehavior& | operator^= (DockItemBehavior& lhs, DockItemBehavior rhs)